#1443 Login: Disallow access preference causes endless loop

v1.8.2
closed-fixed
nobody
5
2014-09-20
2004-04-23
SeanH
No

[This is Tiki v1.8.2 (CVS) -Polaris- Š 2002–2004 by the
Tiki community Fri 23 of Apr, 2004 [14:38] ]

If the Administration:General Preference "Disallow
access to the site (except for those with permission):"
is set to y, the home page, indeed the whole site,
becomes inaccessible as soon as one logs out. Tiki
causes a URL redirection loop that prevents any attempt
to load tiki pages or attempts to login. Netscape and
Mozilla throw a "Redirection limit for this URL
exceeded. Unable to load the requested page. This may
be caused by cookies that are blocked." IE just hangs.
This behavior is consistant across Linux, Win2K, and
Mac OS X. Cookies are not being blocked.

I'm expecting that Tiki would display a login page OR
an error page. It seems to try to display
tiki-error_simple.php, but fails.

It appears that the HTTP req/resp drops into a loop where:
1) a tiki page is requested, then
2) the user is not logged in and so not authorized to
view it, so
3) the user is redirected to the tiki-error_simple
page, then
4) the user is not logged in and so not authorized to
view tiki-error_simple, so back to 3)

3) and 4) then continue ad infinitum.

Using ethereal to watch the conversation when
attempting to go to the home page before logging in I
found this conversation:

==============
GET /bin/php/tiki/tiki-index.php HTTP/1.1
Host: host.domain.com
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0;
en-US; rv:1.4) Gecko/20030624 Netscape/7.1 (ax)
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Language: en-us,en;q=0.7,sv;q=0.3
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 300
Connection: keep-alive
Referer: http://host.domain.com/bin/php/tiki/tiki-index.php
Cookie: PHPSESSID=98e8affd9080535294eda4d88ad14f35;
style=two; tz_offset=-18000;
JSESSIONID=F9F64ADEFCDB8795C570F13E49C9CAC3;
PHPSESSID=98e8affd9080535294eda4d88ad14f35
Cache-Control: max-age=0

HTTP/1.1 302 Found
Date: Fri, 23 Apr 2004 19:06:58 GMT
Server: Apache/1.3.29 (Unix) mod_jk/1.2.0 PHP/4.3.6
X-Powered-By: PHP/4.3.6
Set-Cookie: PHPSESSID=98e8affd9080535294eda4d88ad14f35;
path=/bin/php/tiki
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate,
post-check=0, pre-check=0
Pragma: no-cache
location:
tiki-error_simple.php?error=Site+is+closed+for+maintainance%3B+please+come+back+later.
Connection: close
Transfer-Encoding: chunked
Content-Type: text/html

0

Followed then by this exchange repeated over and over
until the browser throws an error or is forcibly stopped:

==============
GET
/bin/php/tiki/tiki-error_simple.php?error=Site+is+closed+for+maintainance%3B+please+come+back+later.
HTTP/1.1
Host: host.domain.com
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0;
en-US; rv:1.4) Gecko/20030624 Netscape/7.1 (ax)
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Language: en-us,en;q=0.7,sv;q=0.3
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 300
Connection: keep-alive
Referer: http://host.domain.com/bin/php/tiki/tiki-index.php
Cookie: PHPSESSID=98e8affd9080535294eda4d88ad14f35;
style=two; tz_offset=-18000;
JSESSIONID=F9F64ADEFCDB8795C570F13E49C9CAC3;
PHPSESSID=98e8affd9080535294eda4d88ad14f35

HTTP/1.1 302 Found
Date: Fri, 23 Apr 2004 19:06:59 GMT
Server: Apache/1.3.29 (Unix) mod_jk/1.2.0 PHP/4.3.6
X-Powered-By: PHP/4.3.6
Set-Cookie: PHPSESSID=98e8affd9080535294eda4d88ad14f35;
path=/bin/php/tiki
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate,
post-check=0, pre-check=0
Pragma: no-cache
location:
tiki-error_simple.php?error=Site+is+closed+for+maintainance%3B+please+come+back+later.
Connection: close
Transfer-Encoding: chunked
Content-Type: text/html

0

I've included the contents of the tiki_preferences
table below. Changing the site_closed data back to n
from y restores access to the site.

My database settings are:

name value
allowRegister y
anonCanEdit n
article_comments_default_ordering points_desc
article_comments_per_page 10
art_list_author y
art_list_date y
art_list_img y
art_list_reads y
art_list_size y
art_list_title y
art_list_topic y
art_list_type y
art_list_expire y
art_list_visible y
auth_create_user_auth n
auth_create_user_tiki n
auth_ldap_adminpass
auth_ldap_adminuser
auth_ldap_basedn
auth_ldap_groupattr cn
auth_ldap_groupdn
auth_ldap_groupoc groupOfUniqueNames
auth_ldap_host localhost
auth_ldap_memberattr uniqueMember
auth_ldap_memberisdn n
auth_ldap_port 389
auth_ldap_scope sub
auth_ldap_userattr uid
auth_ldap_userdn
auth_ldap_useroc inetOrgPerson
auth_method tiki
auth_skip_admin y
blog_comments_default_ordering points_desc
blog_comments_per_page 10
blog_list_activity y
blog_list_created y
blog_list_description y
blog_list_lastmodif y
blog_list_order created_desc
blog_list_posts y
blog_list_title y
blog_list_user text
blog_list_visits y
blog_spellcheck n
cacheimages n
cachepages n
change_language y
change_theme y
cms_bot_bar y
cms_left_column y
cms_right_column y
cms_spellcheck n
cms_top_bar n
contact_user admin
count_admin_pvs y
default_map pacific.map
directory_columns 3
directory_links_per_page 20
directory_open_links n
directory_validate_urls n
direct_pagination y
display_timezone EST
faq_comments_default_ordering points_desc
faq_comments_per_page 10
feature_autolinks y
feature_maps n
feature_article_comments y
feature_articles y
feature_babelfish n
feature_babelfish_logo n
feature_backlinks y
feature_banners n
feature_banning n
feature_blog_comments y
feature_blogposts_comments y
feature_blog_rankings y
feature_blogs y
feature_bot_bar n
feature_calendar n
feature_categories y
feature_categoryobjects n
feature_categorypath y
feature_challenge n
feature_charts n
feature_chat n
feature_clear_passwords n
feature_cms_rankings y
feature_cms_templates n
feature_comm y
feature_contact y
feature_custom_home n
feature_debug_console y
feature_debugger_console n
feature_directory n
feature_drawings y
feature_dump y
feature_dynamic_content n
feature_editcss n
feature_edit_templates n
feature_eph n
feature_faq_comments y
feature_faqs n
feature_featuredLinks y
feature_file_galleries_comments y
feature_file_galleries y
feature_file_galleries_rankings y
feature_forum_parse y
feature_forum_quickjump y
feature_forum_rankings y
feature_forums y
feature_forum_topicd n
feature_galleries y
feature_gal_rankings y
feature_games n
feature_history y
feature_hotwords_nw y
feature_hotwords y
feature_html_pages n
feature_image_galleries_comments y
feature_integrator n
feature_jscalendar n
feature_lastChanges y
feature_left_column y
feature_likePages y
feature_listPages y
feature_live_support n
feature_menusfolderstyle n
feature_messages y
feature_minical n
feature_modulecontrols n
feature_newsletters n
feature_newsreader n
feature_notepad y
feature_obzip y
feature_page_title y
feature_phpopentracker n
feature_poll_comments y
feature_polls n
feature_phplayers n
feature_quizzes n
feature_ranking n
feature_referer_stats y
feature_right_column y
feature_sandbox y
feature_search_fulltext y
feature_search_stats n
feature_search y
feature_shoutbox n
feature_smileys y
feature_stats y
feature_submissions y
feature_surveys n
feature_tasks n
feature_theme_control n
feature_top_bar y
feature_trackers n
feature_user_bookmarks y
feature_userfiles y
feature_usermenu y
feature_userPreferences y
feature_userVersions n
feature_user_watches y
feature_view_tpl y
feature_warn_on_edit y
feature_webmail n
feature_wiki_allowhtml n
feature_wiki_attachments y
feature_wiki_comments y
feature_wiki_description y
feature_wiki_discuss n
feature_wiki_footnotes n
feature_wiki_monosp y
feature_wiki_multiprint y
feature_wiki_notepad n
feature_wiki_pdf n
feature_wiki_pictures n
feature_wiki_rankings n
feature_wiki_tables new
feature_wiki_templates y
feature_wiki_undo y
feature_wiki_usrlock n
feature_wikiwords y
feature_wiki y
feature_workflow n
feature_xmlrpc y
fgal_list_created y
fgal_list_description n
fgal_list_files y
fgal_list_hits y
fgal_list_lastmodif y
fgal_list_name y
fgal_list_user y
fgal_match_regex
fgal_nmatch_regex
fgal_use_db y
fgal_use_dir
file_galleries_comments_default_ordering points_desc
file_galleries_comments_per_page 10
forgotPass y
forum_list_desc y
forum_list_lastpost y
forum_list_posts y
forum_list_ppd y
forum_list_topics y
forum_list_visits y
forums_ordering created_desc
gal_list_created y
gal_list_description y
gal_list_imgs y
gal_list_lastmodif y
gal_list_name y
gal_list_user y
gal_list_visits y
gal_match_regex
gal_nmatch_regex
gal_use_db y
gal_use_dir
gal_use_lib gd
home_file_gallery
http_domain
http_port 80
http_prefix /
https_domain
https_login n
https_login_required n
https_port 443
https_prefix /
image_galleries_comments_default_orderin points_desc
image_galleries_comments_per_page 10
keep_versions 1
language en
lang_use_db n
layout_section n
long_date_format %A %d of %B, %Y
long_time_format %H:%M:%S %Z
map_path /var/www/html/map/
maxArticles 10
maxRecords 10
max_rss_articles 10
max_rss_blog 10
max_rss_blogs 10
max_rss_file_galleries 10
max_rss_file_gallery 10
max_rss_forum 10
max_rss_forums 10
max_rss_mapfiles 10
max_rss_image_galleries 10
max_rss_image_gallery 10
max_rss_wiki 10
maxVersions 0
min_pass_length 3
modallgroups n
pass_chr_num n
pass_due 999
poll_comments_default_ordering points_desc
poll_comments_per_page 10
popupLinks y
proxy_host
proxy_port
record_untranslated n
registerPasscode
rememberme all
remembertime 7200
rnd_num_reg n
rss_articles y
rss_blog n
rss_blogs y
rssfeed_default_version 2
rssfeed_language en-us
rssfeed_editor
rssfeed_publisher
rssfeed_webmaster
rssfeed_creator
rssfeed_css y
rss_file_galleries y
rss_file_gallery n
rss_forums y
rss_forum y
rss_mapfiles y
rss_image_galleries y
rss_image_gallery n
rss_wiki y
sender_email
email_encoding utf-8
search_refresh_rate 5
search_min_wordlength 3
search_max_syllwords 100
search_lru_purge_rate 5
search_lru_length 100
search_syll_age 48
short_date_format %a %d of %b, %Y
short_time_format %H:%M %Z
shoutbox_autolink n
slide_style slidestyle.css
style whitebluegrey.css
system_os unix
tikiIndex tiki-index.php
tmpDir temp
t_use_db y
t_use_dir
uf_use_db y
uf_use_dir
urlIndex
use_proxy n
user_assigned_modules n
useRegisterPasscode n
userfiles_quota 30
useUrlIndex n
validateUsers n
validateEmail n
eponymousGroups n
warn_on_edit_time 2
webmail_max_attachment 1500000
webmail_view_html n
webserverauth n
wiki_bot_bar n
wiki_cache 300
wiki_comments_default_ordering commentDate_desc
wiki_comments_per_page 10
wiki_creator_admin n
wiki_feature_copyrights n
wiki_forum
wiki_forum_id
wikiHomePage Odyssey Community (alpha)
wiki_left_column y
wikiLicensePage
wiki_list_backlinks y
wiki_list_comment y
wiki_list_creator y
wiki_list_hits y
wiki_list_lastmodif y
wiki_list_lastver y
wiki_list_links y
wiki_list_name y
wiki_list_size y
wiki_list_status y
wiki_list_user y
wiki_list_versions y
wiki_page_regex complete
wiki_right_column y
wiki_spellcheck n
wikiSubmitNotice
wiki_top_bar n
wiki_uses_slides y
w_use_db y
w_use_dir
cookie_domain
cookie_path
feature_server_name in18
feature_wiki_icache n
feature_wiki_plurals y
feature_wiki_showstructs n
load_threshold 3
modseparateanon n
session_db n
session_lifetime 0
siteTitle TikiWiki
site_busy_msg Server is currently too busy; please come
back later.
site_closed y
site_closed_msg Site is closed for maintainance; please
come back later.
useGroupHome n
use_load_threshold n
feature_wikiwords_usedash y
feature_mailin n
contact_anon n
feature_help y
feature_tabs n
error_reporting_level 0
feature_ticketlib n
feature_ticketlib2 y

Discussion

  • luciash d' being

    • status: open --> open-fixed
     
  • luciash d' being

    Logged In: YES
    user_id=750082

    hello,
    afaicr, wasn't this recently fixed by damian on BRANCH-1-8 ? (1.8.3 CVS
    version)

     
  • luciash d' being

    • status: open-fixed --> closed-fixed
     

Log in to post a comment.